package ru.yandex.wmtools.common.data.wrappers;

import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
 * Wraps a given object in a tag with given name.
 *
 * @author ailyin
 */
public class SimpleWrapper<T> extends XmlDataWrapper<T> {
    public SimpleWrapper(T object, String tag) {
        super(object, tag);
    }

    @Override
    protected void doToXml(StringBuilder result) {
        result.append(data);
    }
}
